#!/usr/bin/env python2
#
#  Valosoitin - Audio player for EFL
#
#  Copyright 2012-2013 Kai Huuhko <kai.huuhko@gmail.com>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
#

import elementary as elm

class AudioInfo(elm.Box):
    def __init__(self, parent):
        window = parent.window
        elm.Box.__init__(self, window)

        title = self.title = elm.Label(window)
        title.size_hint_align_set(-1.0, 0.0)
        title.line_wrap = elm.ELM_WRAP_CHAR
        title.ellipsis = True
        title.scale_set(2.0)
        title.text_set("")
        title.show()

        artist = self.artist = elm.Label(window)
        artist.size_hint_align_set(-1.0, 0.0)
        artist.line_wrap = elm.ELM_WRAP_CHAR
        artist.ellipsis = True
        artist.text_set("")
        artist.show()

        album = self.album = elm.Label(window)
        album.size_hint_align_set(-1.0, 0.0)
        album.line_wrap = elm.ELM_WRAP_CHAR
        album.ellipsis = True
        album.text_set("")
        album.show()

        audiotags = elm.Box(window)
        audiotags.size_hint_align_set(-1.0, 0.0)
        audiotags.size_hint_weight_set(1.0, 1.0)
        audiotags.pack_end(title)
        audiotags.pack_end(artist)
        audiotags.pack_end(album)
        audiotags.show()

        #coverimg = elm.Image(window)
        #coverimg.size_set(100, 100)
        #coverimg.show()

        self.horizontal_set(True)
        self.size_hint_weight_set(1.0, 1.0)
        self.size_hint_align_set(-1.0, 0.0)
        self.pack_end(audiotags)
        #self.pack_end(coverimg)
        self.show()

